package com.adventurer_engine.util.blockbench;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.adventurer_engine.util.IReadJsonable;
import com.adventurer_engine.util.JsonHelper;
import com.adventurer_engine.util.blockbench.BBModelAnimation;

public class KeyFrame implements IReadJsonable, Comparable<BBModelAnimation.KeyFrame> {
  public String channel;
  
  public double[] data_points;
  
  public String uuid;
  
  public double time;
  
  public int color;
  
  public String interpolation;
  
  public KeyFrame(JsonHelper json) {
    readJson(json);
    this.time *= 20.0D;
  }
  
  public void readJson(JsonHelper json) {
    this.channel = json.getString("channel");
    this.data_points = new double[3];
    JsonHelper data = json.getJsonList("data_points").get(0);
    this.data_points[0] = data.getDouble("x");
    this.data_points[1] = data.getDouble("y");
    this.data_points[2] = data.getDouble("z");
    this.uuid = json.getString("uuid");
    this.time = json.getDouble("time");
    this.color = json.getInt("color");
    this.interpolation = json.getString("interpolation");
  }
  
  public int compareTo(KeyFrame o) {
    return Double.compare(this.time, o.time);
  }
}
